---
lang: en
title: 'API docs: boot.booter.discover'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.booter.discover.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [Booter](./boot.booter.md) &gt; [discover](./boot.booter.discover.md)

## Booter.discover() method

Discover phase of the Booter. It should search for artifacts in this phase.

**Signature:**

```typescript
discover?(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;


